Bug 198529 - yum-fastestmirror is outdated and completely broken;
yum-fastestmirror is outdated and completely broken;
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: yum-utils (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-11 13:00 EDT by Stefano Cavallari
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-20 08:08:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stefano Cavallari 2006-07-11 13:00:06 EDT
Description of problem:
yum-fastestmirror plugin doesn't works and makes yum unusable

Version-Release number of selected component (if applicable):
yum-fastestmirror.noarch 0:0.6-2.fc6

How reproducible:
always

Steps to Reproduce:
1. yum install yum-fastestmirror
2. try to "yum update"
  
Actual results:
# yum update
Setting up Update Process
Setting up repositories
Determining fastest mirrors
Traceback (most recent call last):
  File "/usr/bin/yum", line 29, in ?
    yummain.main(sys.argv[1:])
  File "/usr/share/yum-cli/yummain.py", line 102, in main
    result, resultmsgs = do()
  File "/usr/share/yum-cli/cli.py", line 443, in doCommands
    return self.updatePkgs()
  File "/usr/share/yum-cli/cli.py", line 859, in updatePkgs
    self.doRepoSetup()
  File "/usr/share/yum-cli/cli.py", line 82, in doRepoSetup
    yum.YumBase.doRepoSetup(self, thisrepo=thisrepo)
  File "/usr/lib/python2.4/site-packages/yum/__init__.py", line 287, in doRepoSetup
    self.plugins.run('postreposetup')
  File "/usr/lib/python2.4/site-packages/yum/plugins.py", line 152, in run
    func(conduitcls(self, self.base, conf, **kwargs))
  File "/usr/lib/yum-plugins/fastestmirror.py", line 77, in postreposetup_hook
    repo.set('urls', repomirrors[str(repo)])
AttributeError: YumRepository instance has no attribute 'set'


Expected results:
yum still works.

Additional info:

this version works: 

http://devel.linux.duke.edu/cgi-bin/viewcvs.cgi/yum-utils/plugins/fastestmirror/fastestmirror.py?content-type=text%2Fplain&view=co
Comment 1 Luke Macken 2006-11-20 08:08:24 EST
This was fixed a while ago.  Make sure you are using the latest
yum-{utils,fastestmirror}.  Please re-open this bug if you are still having
problems with it.

Note You need to log in before you can comment on or make changes to this bug.